---
- name: Install/Update Python 3.x
  when: current_group_role != "cm"
  become: true
  apt:
    name: python3
    state: latest
    update_cache: true

- name: Install/Update PIP
  when: current_group_role != "cm"
  become: true
  apt:
    name: python3-pip
    state: latest
    update_cache: true
